> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# टूल एक्ज़ीक्यूशन्स पाएं

GET https://api.elevenlabs.io/v1/convai/tools/{tool_id}/executions

किसी खास टूल के टूल एक्ज़ीक्यूशन की पेजिनेटेड सूची पाएं।

Reference: https://elevenlabs.io/docs/api-reference/tools/get-executions

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `tool_id` (string, required) — मांगे गए टूल की ID।

### Query parameters

- `cursor` (string, optional, nullable) — अगला पेज फ़ेच करने के लिए इस्तेमाल होता है। रिस्पॉन्स में cursor लौटाया जाता है।
- `page_size` (integer, optional, default: 30) — ज़्यादा से ज़्यादा कितने दस्तावेज़ लौटाने हैं। 100 से ज़्यादा नहीं हो सकते, डिफ़ॉल्ट 30 है।
- `is_error` (boolean, optional, nullable) — त्रुटि स्टेटस के आधार पर फ़िल्टर करें। न देने पर सभी निष्पादन लौटाता है।
- `agent_id` (string, optional, nullable) — एजेंट ID के आधार पर फ़िल्टर करें।
- `branch_id` (string, optional, nullable) — एजेंट branch ID के आधार पर फ़िल्टर करें।
- `start_time` (double, optional, nullable) — इस Unix टाइमस्टैम्प से निष्पादन फ़िल्टर करें (शामिल)।
- `end_time` (double, optional, nullable) — इस Unix टाइमस्टैम्प तक निष्पादन फ़िल्टर करें (शामिल)।

## Response

### 200

सफल रिस्पॉन्स

- `executions` (list of ToolExecutionResponseModel, required)
- `has_more` (boolean, required)
- `next_cursor` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### ToolExecutionResponseModel

- `tool_id` (string, required) — चलाए गए टूल की ID
- `tool_request_id` (string, required) — इस टूल एक्ज़ीक्यूशन से जुड़ी रिक्वेस्ट/कॉल ID
- `conversation_id` (string, required) — उस बातचीत की ID जिसमें टूल चलाया गया था
- `agent_id` (string, required) — टूल चलाने वाले एजेंट की ID
- `timestamp` (double, required) — टूल निष्पादित होने का Unix टाइमस्टैम्प
- `latency_secs` (double, required) — टूल एक्ज़ीक्यूशन में लगा समय
- `id` (string, required)
- `branch_id` (string, optional, nullable) — अगर एजेंट की ब्रांचेज़ हैं, तो ब्रांच ID
- `is_error` (boolean, optional, default: false) — क्या टूल निष्पादन विफल हुआ।
- `request_payload` (string, optional, nullable) — टूल को भेजे गए LLM से निकाले गए पैरामीटर (JSON स्ट्रिंग)
- `response_payload` (string, optional, nullable) — टूल द्वारा लौटाया गया रिस्पॉन्स
- `error_message` (string, optional, nullable) — टूल निष्पादन विफल होने पर त्रुटि संदेश
- `error_type` (string, optional, nullable) — त्रुटि श्रेणी (internal, customer_config, customer_auth, external_server, external_client, client_timeout, unknown)
- `tool_call_details` (ToolExecutionResponseModelToolCallDetails, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ToolExecutionResponseModelToolCallDetails

- `type`: `api_integration_webhook` (ConversationHistoryTranscriptToolCallApiIntegrationWebhookDetails)
  - `credential_id` (string, required, default: )
  - `integration_connection_id` (string, required, default: )
  - `integration_id` (string, required, default: )
  - `webhook_details` (ConversationHistoryTranscriptToolCallWebhookDetails, required)
- `type`: `client` (ConversationHistoryTranscriptToolCallClientDetails)
  - `parameters` (string, required)
- `type`: `mcp` (ConversationHistoryTranscriptToolCallMCPDetails)
  - `approval_policy` (string, required)
  - `integration_type` (string, required)
  - `mcp_server_id` (string, required)
  - `mcp_server_name` (string, required)
  - `mcp_tool_description` (string, optional, default: )
  - `mcp_tool_name` (string, optional, default: )
  - `parameters` (map from string to string, optional)
  - `requires_approval` (boolean, optional, default: false)
- `type`: `webhook` (ConversationHistoryTranscriptToolCallWebhookDetails)
  - `method` (string, required)
  - `url` (string, required)
  - `body` (string, optional, nullable)
  - `headers` (map from string to string, optional)
  - `path_params` (map from string to string, optional)
  - `query_params` (map from string to string, optional)

### ValidationErrorLocItems

### ConversationHistoryTranscriptToolCallWebhookDetails

- `method` (string, required)
- `url` (string, required)
- `headers` (map from string to string, optional)
- `path_params` (map from string to string, optional)
- `query_params` (map from string to string, optional)
- `body` (string, optional, nullable)

## Examples

**Response**

```json
{
  "executions": [
    {
      "tool_id": "string",
      "tool_request_id": "string",
      "conversation_id": "string",
      "agent_id": "string",
      "timestamp": 1.1,
      "latency_secs": 1.1,
      "id": "string",
      "branch_id": "string",
      "is_error": false,
      "request_payload": "string",
      "response_payload": "string",
      "error_message": "string",
      "error_type": "string",
      "tool_call_details": {
        "type": "webhook",
        "method": "string",
        "url": "string",
        "body": "string",
        "headers": {},
        "path_params": {},
        "query_params": {}
      }
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/tools/tool_id/executions"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/tools/tool_id/executions';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/tools/tool_id/executions"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/tools/tool_id/executions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/tools/tool_id/executions")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/tools/tool_id/executions');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/tools/tool_id/executions");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/tools/tool_id/executions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```